---
- name: Build, tag and push images
  hosts: localhost
  vars_files:
    - images.yml
  tasks:
    - name: Images
      when:
        - "'GWERLAS_DOCKER_USER' in ansible_env.keys()"
        - "'GWERLAS_DOCKER_PASS' in ansible_env.keys()"
      containers.podman.podman_image:
        name: "docker.io/gwerlas/ansible-guest-{{ item.0.distribution | lower | replace(' ', '-') }}"
        path: .
        build:
          file: "Containerfile-{{ item.0.name }}"
        tag: "{{ item.1 }}"
        push: true
        username: "{{ lookup('ansible.builtin.env', 'GWERLAS_DOCKER_USER') }}"
        password: "{{ lookup('ansible.builtin.env', 'GWERLAS_DOCKER_PASS') }}"
      with_subelements:
        - "{{ supported_images }}"
        - tags
      register: result
      until: not result.failed
